package cn.com.ctop.common.module.service.impl;

import cn.com.ctop.common.module.entity.AccountCompensation;
import cn.com.ctop.common.module.mapper.AccountCompensationMapper;
import cn.com.ctop.common.module.service.IAccountCompensationService;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.List;

/**
 * 账户赔付记录';
 *
 * @author jeecg-boot
 * 2022-09-16
 * @version V1.0
 */
@Service
public class AccountCompensationServiceImpl extends ServiceImpl<AccountCompensationMapper, AccountCompensation> implements IAccountCompensationService {

    @Override
    public List<JSONObject> getAllOperatorList(List<String> roleCode, String mediaId) {
        return baseMapper.getAllOperatorList(roleCode, mediaId);
    }

    @Override
    public BigDecimal getCompMoney(String userId, String startDate, String endDate) {
        return baseMapper.getCompMoney(userId, startDate, endDate);
    }

    @Override
    public JSONObject getAccountUser(Long accountId) {
        return baseMapper.getAccountUser(accountId);
    }

    @Override
    public List<JSONObject> queryAccountCompensation(AccountCompensation accountCompensation) {
        return baseMapper.queryAccountCompensation(accountCompensation);
    }
}
